AutomationsController_triggerCycle
POST
/api/automations/action/triggerCycle
const url = 'https://api.streams-ai.com/api/automations/action/triggerCycle';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"payload":{"inboundFieldValues":{"streamId":{"value":"example"},"cycleId":{"value":"example"},"triggerName":"example","prompt":"example","promptText":"example","triggerAsUser":"example","workflowCreator":{"userId":"example","id":"example","email":"hello@example.com"}},"inputFields":{"additionalProperty":"example"},"credentialsValues":{"streams_access_token":"example"},"recipeId":"example","integrationId":"example"}}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.streams-ai.com/api/automations/action/triggerCycle \ --header 'Content-Type: application/json' \ --data '{ "payload": { "inboundFieldValues": { "streamId": { "value": "example" }, "cycleId": { "value": "example" }, "triggerName": "example", "prompt": "example", "promptText": "example", "triggerAsUser": "example", "workflowCreator": { "userId": "example", "id": "example", "email": "hello@example.com" } }, "inputFields": { "additionalProperty": "example" }, "credentialsValues": { "streams_access_token": "example" }, "recipeId": "example", "integrationId": "example" } }'Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
payload
object
inboundFieldValues
object
triggerName
string
prompt
string
promptText
string
triggerAsUser
workflowCreator
key
additional properties
inputFields
object
key
additional properties
credentialsValues
object
streams_access_token
key
additional properties
recipeId
integrationId
key
additional properties
Examplegenerated
{ "payload": { "inboundFieldValues": { "streamId": { "value": "example" }, "cycleId": { "value": "example" }, "triggerName": "example", "prompt": "example", "promptText": "example", "triggerAsUser": "example", "workflowCreator": { "userId": "example", "id": "example", "email": "hello@example.com" } }, "inputFields": { "additionalProperty": "example" }, "credentialsValues": { "streams_access_token": "example" }, "recipeId": "example", "integrationId": "example" }}